extends Spatial

var colors = [
	Color8(120,188,120), Color8(96,156,96), Color8(84,132,84), Color8(72,112,72)
];

var level = [
	["x", " ", "x", "x", " ", " ", " ", " ", "x", " ", "x"],
	[" ", " ", "x", "x", " ", "x", "x", " ", "x", " ", "x"],
	[" ", " ", "x", "x", "x", " ", " ", " ", "x", " ", "x"],
	["x", "x", "x", "x", "x", "x", "x", "x", "x", "x", "x"],
	[" ", " ", "x", "x", "x", " ", " ", " ", "x", " ", "x"],
	[" ", " ", "x", "x", " ", "x", "x", " ", "x", " ", "x"],
	["x", " ", "x", "x", " ", " ", " ", " ", "x", " ", "x"]
]

var f = load("res://Floor.tscn")

func get_floor():
	var tile = f.instance()
	var mesh = tile.get_child(0)
	var j = 0
	for i in [4, 1, 0, 2]:
		var mat = SpatialMaterial.new()
		mat.albedo_color = colors[j]
		mat.roughness = 0.8
		mesh.set_surface_material(i, mat)
		j += 1
	return tile

func _ready():
	var r = -5
	for row in level:
		var c = 0
		for col in row:
			if "x" in col[0]:
				var tile = get_floor()
				add_child(tile)
				tile.global_translate(Vector3(r, 0, c))
			c -= 6
		r += 2
